package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yonge.cooleshow.biz.dal.enums.AuthStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 老师音乐人审核表
 */
@TableName("teacher_auth_musician_record")
@ApiModel(value = "TeacherAuthMusicianRecord对象", description = "老师音乐人审核表")
public class TeacherAuthMusicianRecord implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 审核单id 
    */
    @ApiModelProperty("审核单id ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /** 
    * 对应user表用户编号 
    */
    @ApiModelProperty("对应user表用户编号 ")
	@TableField(value = "user_id_")
    private Long userId;

    @ApiModelProperty("老师认证审核状态 UNPAALY、未申请 DOING、审核中 PASS、通过 UNPASS、不通过")
	@TableField(value = "teacher_auth_status_")
    private AuthStatusEnum teacherAuthStatus;
    /** 
    * 审核人 
    */
    @ApiModelProperty("审核人 ")
	@TableField(value = "verify_user_id_")
    private Long verifyUserId;
    /** 
    * 审核理由 
    */
    @ApiModelProperty("审核理由 ")
	@TableField(value = "reason_")
    private String reason;
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public AuthStatusEnum getTeacherAuthStatus() {
        return teacherAuthStatus;
    }

    public void setTeacherAuthStatus(AuthStatusEnum teacherAuthStatus) {
        this.teacherAuthStatus = teacherAuthStatus;
    }

    public Long getVerifyUserId() {
        return verifyUserId;
    }

    public void setVerifyUserId(Long verifyUserId) {
        this.verifyUserId = verifyUserId;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "TeacherAuthMusicianRecord{" +
				"id=" + id +
						",userId='" + userId + "'" + 
						",teacherAuthStatus='" + teacherAuthStatus + "'" + 
						",verifyUserId='" + verifyUserId + "'" + 
						",reason='" + reason + "'" + 
						",createTime='" + createTime + "'" + 
						",updateTime='" + updateTime + "'" + 
		                '}';
    }
	
}